Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema
Class CinemaGuiModule

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.CinemaGuiModule

All Implemented Interfaces:
  AlignmentEventProvider

Direct Known Subclasses:
  AbstractSequenceInput, AbstractSequenceOutput, CinemaColorSelector, CinemaConsensusDisplay, CinemaCoreView, CinemaGo, CinemaMenuSystem, CinemaSequenceMenu, CinemaStatusInformation

public abstract class CinemaGuiModule
extends CinemaModule

CinemaGuiModule.java Created: Fri May 26 21:04:15 2000

Version:
  $Id: CinemaGuiModule.java,v 1.8 2001/04/11 17:04:41 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaGuiModule()`

Method Summary
`void` | `destroy()` The method called, from an external source, to remove this module and prepare it for garbage collection.
`CinemaAlignmentFrame` | `getAlignmentFrame()`
`JFrame` | `getFrame()`
`JMenuBar` | `getJMenuBar()`
`ModuleIdentifierList` | `getRequiredIdentifiers()` Returns the module identifiers for the required modules.
`JAlignmentButtonPanel` | `getRowHeaders()`
`JAlignmentRuler` | `getRuler()`
`JPanel` | `getRulerPanel()`
`JScrollPane` | `getScrollPane()`
`JTextField` | `getStatusBar()`
`JAlignmentViewer` | `getViewer()`
`void` | `setFrameTitle(String title)`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, getVersion, hasListeners, isDestroyed, isStarted, load, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext, start`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaGuiModule

    public CinemaGuiModule()

Method Detail

### destroy

    public void destroy()

  Description copied from class: `Module`
  The method called, from an external source, to remove this module and prepare it for garbage collection.

  Overrides:
    `destroy` in class `CinemaModule`

### getFrame

    public JFrame getFrame()

### setFrameTitle

    public void setFrameTitle(String title)

### getRowHeaders

    public JAlignmentButtonPanel getRowHeaders()

### getJMenuBar

    public JMenuBar getJMenuBar()

### getScrollPane

    public JScrollPane getScrollPane()

### getRulerPanel

    public JPanel getRulerPanel()

### getViewer

    public JAlignmentViewer getViewer()

### getRuler

    public JAlignmentRuler getRuler()

### getStatusBar

    public JTextField getStatusBar()

### getAlignmentFrame

    public CinemaAlignmentFrame getAlignmentFrame()

### getRequiredIdentifiers

    public ModuleIdentifierList getRequiredIdentifiers()

  Description copied from class: `Module`
  Returns the module identifiers for the required modules. This places a call on getRequiredModules, which is delegated to the module context. It may require over-riding inorder to improve the efficiency of the method.

  Overrides:
    `getRequiredIdentifiers` in class `CinemaModule`
  Returns:
    the required module identifiers

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD